<?php
$path = file_get_contents(ROOT . '/src/Database/db.json');
$viewJsonFile = preg_replace('/,\s*([\]}])/m', '$1', utf8_encode($path));
try {
    $array = json_decode($viewJsonFile, false, 512, JSON_THROW_ON_ERROR);
    printf('Valid JSON output: %s', print_r($array, true));
} catch (\JsonException $exception) {
    printf('Invalid JSON input: %s', print_r($exception, true));
}
$viewJson = json_decode($viewJsonFile, false);
// Get PDO object
$pdo = new PDO(
    'mysql:host='.$viewJson->db_host.';dbname='.$viewJson->db_name.';charset=utf8', $viewJson->db_user, $viewJson->db_passwd,
    array(
        PDO::ATTR_ERRMODE => PDO::ERRMODE_EXCEPTION,
        PDO::ATTR_PERSISTENT => false,
        PDO::MYSQL_ATTR_INIT_COMMAND => 'SET NAMES utf8 COLLATE utf8_unicode_ci',
    )
);

return [
    'paths' => [
        'migrations' => __DIR__ . '/db/migrations',
        'seeds' => __DIR__ . '/db/seeds'
    ],

    'environments' => [
        'default_migration_table' => 'pl15x_phinxlog',
        'default_database' => 'production',
        'production' => [
            // Database name
            'name' => $viewJson->db_name,
            'table_prefix' => 'pl15x_',
            'connection' => $pdo,
        ]
    ]
];
